# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Exporter.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
BuildRequires: perl-HTML-Template
Name:           perl-CGI-Application-Plugin-LinkIntegrity
Version:        0.06
Release:        alt1_8
Summary:        Make tamper-resistant links in CGI::Application
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/CGI-Application-Plugin-LinkIntegrity/
Source0:        http://www.cpan.org/authors/id/M/MG/MGRAHAM/CGI-Application-Plugin-LinkIntegrity-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(CGI.pm)
BuildRequires:  perl(CGI/Application.pm)
BuildRequires:  perl(Digest/HMAC.pm)
BuildRequires:  perl(Digest/MD5.pm)
BuildRequires:  perl(Module/Build.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/Pod.pm)
BuildRequires:  perl(Test/Pod/Coverage.pm)
BuildRequires:  perl(URI.pm)
BuildRequires:  perl(URI/Escape.pm)
BuildRequires:  perl(URI/QueryParam.pm)
Source44: import.info

%description
CGI::Application::Plugin::LinkIntegrity lets you create tamper-resistant
links within your CGI::Application project. When you create an URL with
link, a check-sum is added to the URL. The check-sum is a (cryptographic) hash
of the URL, plus a secret string known only to the server.

%prep
%setup -q -n CGI-Application-Plugin-LinkIntegrity-%{version}

%build
%{__perl} Build.PL --install_path bindoc=%_man1dir installdirs=vendor
./Build

%install

./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc Changes README
%{perl_vendor_privlib}/*

%changelog
* Wed Feb 27 2013 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1_8
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1_7
- update to new release by fcimport

* Thu May 24 2012 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1_5
- fc import

